@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');
:root {
    --blue:#09ACFE;
    --red: #CD086F;
    --white: #e0e0e0;
    --yellow:#FFD257;
    --background-1:#121212;
    --background-2:#000000;
}
* {
    box-sizing: border-box;
}
body{
    background-color: var(--background-2);
    font-family: 'Roboto', sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    margin: 0;
}

button{
  position: relative;
  background-color: var(--red);
  color: var(--white);
  font-size: 14px;
  text-transform: uppercase;
  letter-spacing: 2px;
  border: 1px var(--red) solid;
  border-radius: 5px;
  padding: 20px 30px;
  margin: 10px 0;
  overflow: hidden;
}

button:focus{
  outline: none;
}

button .circle{
  position: absolute;
  background-color: #fff;
  width: 100px;
  height: 100px;
  border-radius: 50%;
  transform: translate(-50%, -50%) scale(0);
  animation: scale .5s ease-out;
}

@keyframes scale{
  to {
    transform: translate(-50%, -50%) scale(3);
    opacity: 0;
  }
}